{
  "build": {
    "date": "Tue, 21 Jul 2026 12:39:04 PDT",
    "git-revision": "2741f3d4e779579f0589f7744bcd081fbcc759a6",
    "id": "294587248",
    "name": "LPD-2443,LPE-18160,LPS-114146,LPS-116218,LPS-194325,LPS-94011",
    "builder-revision": "47eabe3d5d362245cffab431e06e1dbf87ab2b43",
    "rt-revision": "257427c7e779643909352601e2fdff726239b520"
  },
  "files": {
    "lpkg_files": [
      {
        "path": "MODULES_BASE_PATH/marketplace/Liferay Static - Impl.lpkg",
        "change_type": "modified",
        "added_files": [],
        "removed_files": [],
        "modified_files": [
          "liferay-marketplace.properties"
        ],
        "modified_jars": [
          {
            "old_name": "com.liferay.portal.configuration.persistence.impl-3.0.19.jar",
            "new_name": "com.liferay.portal.configuration.persistence.impl-3.0.19.hotfix-10555-7310.jar",
            "added": [
              "OSGI-INF/l10n/bundle_km.properties"
            ],
            "modified": [
              "META-INF/MANIFEST.MF",
              "com/liferay/portal/configuration/persistence/internal/ConfigurationPersistenceManager.class"
            ],
            "removed": [
              "META-INF/liferay-releng.changelog"
            ],
            "change_type": "modified"
          }
        ]
      },
      {
        "path": "MODULES_BASE_PATH/marketplace/Liferay Marketplace - Impl.lpkg",
        "change_type": "modified",
        "added_files": [],
        "removed_files": [],
        "modified_files": [
          "liferay-marketplace.properties"
        ],
        "modified_jars": [
          {
            "old_name": "com.liferay.marketplace.app.manager.web-4.0.45.jar",
            "new_name": "com.liferay.marketplace.app.manager.web-4.0.45.hotfix-10555-7310.jar",
            "added": [
              "source-classes-mapping.txt"
            ],
            "modified": [
              "META-INF/MANIFEST.MF",
              "META-INF/resources/app_display_action.jsp",
              "META-INF/resources/app_display_columns.jspf",
              "META-INF/resources/bundle_action.jsp",
              "META-INF/resources/bundle_columns.jspf",
              "META-INF/resources/configuration/icon/install_from_file.jsp",
              "META-INF/resources/configuration/icon/install_from_url.jsp",
              "META-INF/resources/icon.jsp",
              "META-INF/resources/init.jsp",
              "META-INF/resources/install_local_app.jsp",
              "META-INF/resources/install_remote_app.jsp",
              "META-INF/resources/view.jsp",
              "META-INF/resources/view_module.jsp",
              "META-INF/resources/view_modules.jsp",
              "META-INF/resources/view_search_results.jsp",
              "org/apache/jsp/icon_jsp.class",
              "org/apache/jsp/icon_jsp.java"
            ],
            "removed": [
              "META-INF/liferay-releng.changelog"
            ],
            "change_type": "modified"
          }
        ]
      },
      {
        "path": "MODULES_BASE_PATH/marketplace/Liferay Foundation - Liferay Hypermedia REST APIs - Impl.lpkg",
        "change_type": "modified",
        "added_files": [],
        "removed_files": [],
        "modified_files": [
          "liferay-marketplace.properties"
        ],
        "modified_jars": [
          {
            "old_name": "com.liferay.headless.form.impl-4.0.74.jar",
            "new_name": "com.liferay.headless.form.impl-4.0.74.hotfix-10555-7310.jar",
            "added": [],
            "modified": [
              "META-INF/MANIFEST.MF",
              "com/liferay/headless/form/internal/dto/v1_0/util/FormRecordUtil$1$1.class",
              "com/liferay/headless/form/internal/dto/v1_0/util/FormRecordUtil$1.class",
              "com/liferay/headless/form/internal/dto/v1_0/util/FormRecordUtil.class"
            ],
            "removed": [
              "META-INF/liferay-releng.changelog"
            ],
            "change_type": "modified"
          }
        ]
      }
    ],
    "jar_files": [
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.registry.impl.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.registry.impl.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF",
          "com/liferay/registry/internal/RegistryImpl.class"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.impl.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.impl.jar",
        "added": [
          "com/liferay/portal/app/license/a/a.class",
          "com/liferay/portal/app/license/impl/a.class",
          "com/liferay/portal/app/license/impl/a/a.class",
          "com/liferay/portal/app/license/impl/b$a.class",
          "com/liferay/portal/app/license/impl/b.class",
          "com/liferay/portal/app/license/impl/c.class"
        ],
        "modified": [
          "META-INF/MANIFEST.MF",
          "com/liferay/portal/app/license/impl/MarketplaceAppLicenseHookConfigurator.class"
        ],
        "removed": [
          "com/liferay/portal/app/license/impl/MarketplaceAppLicenseHookConfigurator$1.class",
          "com/liferay/portal/app/license/impl/MarketplaceAppLicenseVerifier.class",
          "com/liferay/portal/app/license/internal/AppBundleTracker.class",
          "com/liferay/portal/app/license/impl/MarketplaceAppLicenseVerifier$1.class",
          "com/liferay/portal/app/license/impl/MarketplaceAppLicenseVerifier$MarketplaceAppBundleListener.class",
          "com/liferay/portal/app/license/impl/events/MarketplaceAppServicePreAction.class"
        ],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.osgi.service.tracker.collections.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.osgi.service.tracker.collections.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF",
          "com/liferay/osgi/service/tracker/collections/map/ServiceReferenceMapperFactory.class"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.jaxws.osgi.bridge.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.jaxws.osgi.bridge.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/portal-impl.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/portal-impl.jar",
        "added": [
          "patcher.properties"
        ],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.portal.impl/pom.properties",
          "com/liferay/counter/service/persistence/impl/CounterFinderImpl.class",
          "com/liferay/portal/action/JSONServiceAction.class",
          "com/liferay/portal/action/UpdatePasswordAction.class",
          "com/liferay/portal/bean/VelocityBeanHandler.class",
          "com/liferay/portal/convert/BaseConvertProcess.class",
          "com/liferay/portal/dao/jdbc/DataSourceFactoryImpl.class",
          "com/liferay/portal/dao/jdbc/postgresql/PostgreSQLJDBCUtil.class",
          "com/liferay/portal/dao/orm/hibernate/ExceptionTranslator.class",
          "com/liferay/portal/dao/orm/hibernate/SessionImpl.class",
          "com/liferay/portal/deploy/auto/PluginAutoDeployListenerHelper.class",
          "com/liferay/portal/deploy/dependencies/maven/com.liferay.portal/com.liferay.util.taglib/pom.properties",
          "com/liferay/portal/deploy/dependencies/util-bridges.jar",
          "com/liferay/portal/deploy/dependencies/util-java.jar",
          "com/liferay/portal/deploy/dependencies/util-slf4j.jar",
          "com/liferay/portal/deploy/dependencies/util-taglib.jar",
          "com/liferay/portal/deploy/hot/HookHotDeployListener.class",
          "com/liferay/portal/deploy/hot/HotDeployImpl.class",
          "com/liferay/portal/deploy/hot/ServiceWrapperRegistry$ServiceWrapperServiceTrackerCustomizer.class",
          "com/liferay/portal/deploy/hot/ThemeHotDeployListener.class",
          "com/liferay/portal/diff/DiffHtmlImpl.class",
          "com/liferay/portal/fabric/netty/rpc/RPCRequest.class",
          "com/liferay/portal/image/ImageToolImpl.class",
          "com/liferay/portal/internal/cluster/LiveUsersClusterEventListenerImpl.class",
          "com/liferay/portal/internal/servlet/MainServlet.class",
          "com/liferay/portal/json/jabsorb/serializer/LiferaySerializer.class",
          "com/liferay/portal/json/jabsorb/serializer/LocaleSerializer.class",
          "com/liferay/portal/layoutconfiguration/util/PortletRenderer.class",
          "com/liferay/portal/layoutconfiguration/util/RuntimePageImpl.class",
          "com/liferay/portal/layoutconfiguration/util/velocity/CustomizationSettingsProcessor.class",
          "com/liferay/portal/linkback/LinkbackProducerUtil.class",
          "com/liferay/portal/metadata/TikaRawMetadataProcessor.class",
          "com/liferay/portal/metadata/XugglerRawMetadataProcessor.class",
          "com/liferay/portal/minifier/MinifierUtil.class",
          "com/liferay/portal/model/impl/LayoutTypePortletImpl.class",
          "com/liferay/portal/module/framework/ModuleFrameworkUtilAdapter.class",
          "com/liferay/portal/notifications/ChannelImpl.class",
          "com/liferay/portal/poller/PollerServlet.class",
          "com/liferay/portal/poller/comet/PollerCometDelayedTask.class",
          "com/liferay/portal/poller/messaging/PollerRequestMessageListener.class",
          "com/liferay/portal/repository/temporaryrepository/TemporaryFileEntryRepository.class",
          "com/liferay/portal/security/permission/DoAsUserThread.class",
          "com/liferay/portal/security/xml/SecureXMLFactoryProviderImpl.class",
          "com/liferay/portal/service/ServiceContextAdvice.class",
          "com/liferay/portal/service/impl/CompanyLocalServiceImpl.class",
          "com/liferay/portal/service/impl/GroupLocalServiceImpl.class",
          "com/liferay/portal/service/impl/LayoutLocalServiceImpl.class",
          "com/liferay/portal/service/impl/LayoutLocalServiceStagingAdvice.class",
          "com/liferay/portal/service/impl/OrganizationServiceImpl.class",
          "com/liferay/portal/service/impl/PortalServiceImpl.class",
          "com/liferay/portal/service/impl/PortletLocalServiceImpl.class",
          "com/liferay/portal/service/impl/ResourcePermissionLocalServiceImpl.class",
          "com/liferay/portal/service/impl/RoleLocalServiceImpl.class",
          "com/liferay/portal/service/impl/UserLocalServiceImpl.class",
          "com/liferay/portal/service/impl/UserServiceImpl.class",
          "com/liferay/portal/service/persistence/impl/AccountPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/AddressPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/BrowserTrackerPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/ClassNamePersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/CompanyInfoPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/CompanyPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/ContactPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/CountryPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/EmailAddressPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/GroupFinderImpl.class",
          "com/liferay/portal/service/persistence/impl/GroupPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/ImagePersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/LayoutBranchPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/LayoutFinderImpl.class",
          "com/liferay/portal/service/persistence/impl/LayoutFriendlyURLPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/LayoutPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/LayoutPrototypePersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/LayoutRevisionPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/LayoutSetBranchPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/LayoutSetPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/LayoutSetPrototypePersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/ListTypePersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/MembershipRequestPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/OrgGroupRolePersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/OrgLaborPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/OrganizationFinderImpl.class",
          "com/liferay/portal/service/persistence/impl/OrganizationPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/PasswordPolicyFinderImpl.class",
          "com/liferay/portal/service/persistence/impl/PasswordPolicyPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/PasswordPolicyRelPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/PasswordTrackerPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/PhonePersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/PluginSettingPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/PortalPreferencesPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/PortletItemPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/PortletPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/PortletPreferencesFinderImpl.class",
          "com/liferay/portal/service/persistence/impl/PortletPreferencesPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/RecentLayoutBranchPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/RecentLayoutRevisionPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/RecentLayoutSetBranchPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/RegionPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/ReleasePersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/RepositoryEntryPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/RepositoryPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/ResourceActionPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/ResourcePermissionFinderImpl.class",
          "com/liferay/portal/service/persistence/impl/ResourcePermissionPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/RoleFinderImpl.class",
          "com/liferay/portal/service/persistence/impl/RolePersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/ServiceComponentFinderImpl.class",
          "com/liferay/portal/service/persistence/impl/ServiceComponentPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/SubscriptionPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/SystemEventPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/TeamFinderImpl.class",
          "com/liferay/portal/service/persistence/impl/TeamPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/TicketPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/UserFinderImpl.class",
          "com/liferay/portal/service/persistence/impl/UserGroupFinderImpl.class",
          "com/liferay/portal/service/persistence/impl/UserGroupGroupRoleFinderImpl.class",
          "com/liferay/portal/service/persistence/impl/UserGroupGroupRolePersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/UserGroupPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/UserGroupRoleFinderImpl.class",
          "com/liferay/portal/service/persistence/impl/UserGroupRolePersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/UserIdMapperPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/UserNotificationDeliveryPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/UserNotificationEventPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/UserPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/UserTrackerPathPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/UserTrackerPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/VirtualHostPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/WebDAVPropsPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/WebsitePersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/WorkflowDefinitionLinkPersistenceImpl.class",
          "com/liferay/portal/service/persistence/impl/WorkflowInstanceLinkPersistenceImpl.class",
          "com/liferay/portal/servlet/AtomServlet.class",
          "com/liferay/portal/servlet/AxisServlet.class",
          "com/liferay/portal/servlet/ClassLoaderRequestDispatcherWrapper.class",
          "com/liferay/portal/servlet/DirectServletPathRegisterDispatcher.class",
          "com/liferay/portal/servlet/JSONServlet.class",
          "com/liferay/portal/servlet/ThreadLocalFacadeHttpServletRequestWrapper.class",
          "com/liferay/portal/servlet/ThreadLocalFacadeServletRequestWrapper.class",
          "com/liferay/portal/servlet/TransferHeadersHelperImpl$TransferHeadersRequestDispatcher.class",
          "com/liferay/portal/servlet/TransferHeadersHelperImpl$TransferHeadersServletResponse.class",
          "com/liferay/portal/servlet/TransferHeadersHelperImpl.class",
          "com/liferay/portal/servlet/TunnelServlet.class",
          "com/liferay/portal/setup/SetupWizardUtil.class",
          "com/liferay/portal/spring/hibernate/PortletTransactionManager$TransactionStatusWrapper.class",
          "com/liferay/portal/spring/hibernate/PortletTransactionManager.class",
          "com/liferay/portal/spring/transaction/DefaultTransactionExecutor.class",
          "com/liferay/portal/template/BaseTemplate.class",
          "com/liferay/portal/tools/DBUpgrader.class",
          "com/liferay/portal/tools/GitUtil.class",
          "com/liferay/portal/tools/PluginsGitSvnSyncer.class",
          "com/liferay/portal/tools/deploy/BaseDeployer.class",
          "com/liferay/portal/upgrade/util/BaseUpgradeTableImpl.class",
          "com/liferay/portal/upgrade/util/ParallelUpgradeSchemaUtil.class",
          "com/liferay/portal/upgrade/v7_0_0/UpgradeGroup.class",
          "com/liferay/portal/upgrade/v7_0_3/UpgradeMessageBoards.class",
          "com/liferay/portal/util/FileImpl.class",
          "com/liferay/portal/util/HttpImpl.class",
          "com/liferay/portal/util/LicenseUtil.class",
          "com/liferay/portal/util/LocalizationImpl.class",
          "com/liferay/portal/util/PortalImpl.class",
          "com/liferay/portal/util/PortalInstances.class",
          "com/liferay/portal/util/PropsUtilTask.class",
          "com/liferay/portal/verify/VerifyProcess.class",
          "com/liferay/portal/verify/VerifyProcessUtil.class",
          "com/liferay/portal/verify/VerifyResourcePermissions.class",
          "com/liferay/portal/webdav/WebDAVServlet.class",
          "com/liferay/portal/webserver/WebServerServlet.class",
          "com/liferay/portal/xml/SAXReaderImpl.class",
          "com/liferay/portal/xmlrpc/XmlRpcParser.class",
          "com/liferay/portal/xuggler/XugglerImpl.class",
          "com/liferay/portlet/PortletAsyncListenerAdapter.class",
          "com/liferay/portlet/PortletPreferencesFactoryImpl.class",
          "com/liferay/portlet/RestrictPortletContainerWrapper.class",
          "com/liferay/portlet/announcements/service/persistence/impl/AnnouncementsDeliveryPersistenceImpl.class",
          "com/liferay/portlet/announcements/service/persistence/impl/AnnouncementsEntryFinderImpl.class",
          "com/liferay/portlet/announcements/service/persistence/impl/AnnouncementsEntryPersistenceImpl.class",
          "com/liferay/portlet/announcements/service/persistence/impl/AnnouncementsFlagPersistenceImpl.class",
          "com/liferay/portlet/asset/service/persistence/impl/AssetCategoryFinderImpl.class",
          "com/liferay/portlet/asset/service/persistence/impl/AssetCategoryPersistenceImpl.class",
          "com/liferay/portlet/asset/service/persistence/impl/AssetCategoryPropertyFinderImpl.class",
          "com/liferay/portlet/asset/service/persistence/impl/AssetCategoryPropertyPersistenceImpl.class",
          "com/liferay/portlet/asset/service/persistence/impl/AssetEntryFinderImpl.class",
          "com/liferay/portlet/asset/service/persistence/impl/AssetEntryPersistenceImpl.class",
          "com/liferay/portlet/asset/service/persistence/impl/AssetLinkFinderImpl.class",
          "com/liferay/portlet/asset/service/persistence/impl/AssetLinkPersistenceImpl.class",
          "com/liferay/portlet/asset/service/persistence/impl/AssetTagFinderImpl.class",
          "com/liferay/portlet/asset/service/persistence/impl/AssetTagPersistenceImpl.class",
          "com/liferay/portlet/asset/service/persistence/impl/AssetVocabularyFinderImpl.class",
          "com/liferay/portlet/asset/service/persistence/impl/AssetVocabularyPersistenceImpl.class",
          "com/liferay/portlet/documentlibrary/antivirus/ClamAntivirusScannerImpl.class",
          "com/liferay/portlet/documentlibrary/service/impl/DLAppHelperLocalServiceImpl.class",
          "com/liferay/portlet/documentlibrary/service/impl/DLAppLocalServiceImpl.class",
          "com/liferay/portlet/documentlibrary/service/impl/DLAppServiceImpl.class",
          "com/liferay/portlet/documentlibrary/service/impl/DLFileEntryLocalServiceImpl.class",
          "com/liferay/portlet/documentlibrary/service/impl/DLFolderLocalServiceImpl.class",
          "com/liferay/portlet/documentlibrary/service/persistence/impl/DLFileEntryFinderImpl.class",
          "com/liferay/portlet/documentlibrary/service/persistence/impl/DLFileEntryMetadataFinderImpl.class",
          "com/liferay/portlet/documentlibrary/service/persistence/impl/DLFileEntryMetadataPersistenceImpl.class",
          "com/liferay/portlet/documentlibrary/service/persistence/impl/DLFileEntryPersistenceImpl.class",
          "com/liferay/portlet/documentlibrary/service/persistence/impl/DLFileEntryTypeFinderImpl.class",
          "com/liferay/portlet/documentlibrary/service/persistence/impl/DLFileEntryTypePersistenceImpl.class",
          "com/liferay/portlet/documentlibrary/service/persistence/impl/DLFileShortcutPersistenceImpl.class",
          "com/liferay/portlet/documentlibrary/service/persistence/impl/DLFileVersionPersistenceImpl.class",
          "com/liferay/portlet/documentlibrary/service/persistence/impl/DLFolderFinderImpl.class",
          "com/liferay/portlet/documentlibrary/service/persistence/impl/DLFolderPersistenceImpl.class",
          "com/liferay/portlet/documentlibrary/sharepoint/DLSharepointStorageImpl.class",
          "com/liferay/portlet/documentlibrary/store/DLStoreImpl.class",
          "com/liferay/portlet/documentlibrary/util/AudioProcessorImpl.class",
          "com/liferay/portlet/documentlibrary/util/ImageProcessorImpl.class",
          "com/liferay/portlet/documentlibrary/util/LiferayAudioConverter.class",
          "com/liferay/portlet/documentlibrary/util/LiferayVideoConverter.class",
          "com/liferay/portlet/documentlibrary/util/LiferayVideoThumbnailConverter.class",
          "com/liferay/portlet/documentlibrary/util/PDFProcessorImpl.class",
          "com/liferay/portlet/documentlibrary/util/VideoProcessorImpl$LiferayVideoProcessCallable.class",
          "com/liferay/portlet/documentlibrary/util/VideoProcessorImpl$LiferayVideoThumbnailProcessCallable.class",
          "com/liferay/portlet/documentlibrary/util/VideoProcessorImpl.class",
          "com/liferay/portlet/documentlibrary/util/XugglerAutoInstallHelper$IsNativeLibraryInstalledCallable.class",
          "com/liferay/portlet/documentlibrary/util/XugglerAutoInstallHelper.class",
          "com/liferay/portlet/documentlibrary/util/XugglerAutoInstallUtil$IsNativeLibraryInstalledCallable.class",
          "com/liferay/portlet/documentlibrary/util/XugglerAutoInstallUtil.class",
          "com/liferay/portlet/expando/service/persistence/impl/ExpandoColumnPersistenceImpl.class",
          "com/liferay/portlet/expando/service/persistence/impl/ExpandoRowPersistenceImpl.class",
          "com/liferay/portlet/expando/service/persistence/impl/ExpandoTablePersistenceImpl.class",
          "com/liferay/portlet/expando/service/persistence/impl/ExpandoValuePersistenceImpl.class",
          "com/liferay/portlet/exportimport/service/impl/ExportImportLocalServiceImpl.class",
          "com/liferay/portlet/exportimport/service/impl/StagingLocalServiceImpl.class",
          "com/liferay/portlet/exportimport/service/impl/StagingServiceImpl.class",
          "com/liferay/portlet/exportimport/service/persistence/impl/ExportImportConfigurationFinderImpl.class",
          "com/liferay/portlet/exportimport/service/persistence/impl/ExportImportConfigurationPersistenceImpl.class",
          "com/liferay/portlet/internal/HeaderResponseImpl.class",
          "com/liferay/portlet/internal/InvokerFilterContainerImpl.class",
          "com/liferay/portlet/internal/InvokerPortletImpl.class",
          "com/liferay/portlet/internal/PortletAsyncScopingListener.class",
          "com/liferay/portlet/internal/PortletAsyncScopingRunnable.class",
          "com/liferay/portlet/internal/PortletContainerImpl.class",
          "com/liferay/portlet/internal/PortletRequestDispatcherImpl.class",
          "com/liferay/portlet/ratings/service/persistence/impl/RatingsEntryPersistenceImpl.class",
          "com/liferay/portlet/ratings/service/persistence/impl/RatingsStatsPersistenceImpl.class",
          "com/liferay/portlet/sites/util/SitesImpl.class",
          "com/liferay/portlet/social/service/persistence/impl/SocialActivityAchievementPersistenceImpl.class",
          "com/liferay/portlet/social/service/persistence/impl/SocialActivityCounterFinderImpl.class",
          "com/liferay/portlet/social/service/persistence/impl/SocialActivityCounterPersistenceImpl.class",
          "com/liferay/portlet/social/service/persistence/impl/SocialActivityFinderImpl.class",
          "com/liferay/portlet/social/service/persistence/impl/SocialActivityLimitPersistenceImpl.class",
          "com/liferay/portlet/social/service/persistence/impl/SocialActivityPersistenceImpl.class",
          "com/liferay/portlet/social/service/persistence/impl/SocialActivitySetFinderImpl.class",
          "com/liferay/portlet/social/service/persistence/impl/SocialActivitySetPersistenceImpl.class",
          "com/liferay/portlet/social/service/persistence/impl/SocialActivitySettingPersistenceImpl.class",
          "com/liferay/portlet/social/service/persistence/impl/SocialRelationPersistenceImpl.class",
          "com/liferay/portlet/social/service/persistence/impl/SocialRequestPersistenceImpl.class",
          "portal.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.log4j.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.log4j.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.xml.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.xml.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.mail.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.mail.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.content.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.content.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.encryptor.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.petra.encryptor.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.registry.api.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.registry.api.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF",
          "com/liferay/registry/BasicRegistryImpl$BasicServiceTracker.class",
          "com/liferay/registry/collections/ServiceReferenceMapperFactory$1.class",
          "com/liferay/registry/collections/packageinfo",
          "com/liferay/registry/dependency/packageinfo",
          "com/liferay/registry/packageinfo",
          "com/liferay/registry/util/packageinfo"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.url.pattern.mapper.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.url.pattern.mapper.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/portal-kernel.jar",
        "new_name": "GLOBAL_LIB_PATH/portal-kernel.jar",
        "added": [
          "patcher-service.properties"
        ],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.portal.kernel/pom.properties",
          "com/liferay/asset/kernel/model/BaseJSPAssetRenderer.class",
          "com/liferay/document/library/kernel/antivirus/BaseFileAntivirusScanner.class",
          "com/liferay/document/library/kernel/util/DLPreviewableProcessor.class",
          "com/liferay/exportimport/kernel/lar/BasePortletDataHandler.class",
          "com/liferay/exportimport/kernel/lar/StagedModelDataHandlerUtil.class",
          "com/liferay/portal/kernel/aop/ChainableMethodAdvice.class",
          "com/liferay/portal/kernel/backgroundtask/ClassLoaderAwareBackgroundTaskExecutor.class",
          "com/liferay/portal/kernel/bean/ClassLoaderBeanHandler.class",
          "com/liferay/portal/kernel/bean/PortalBeanLocatorUtil.class",
          "com/liferay/portal/kernel/cache/PortalCacheHelperUtil.class",
          "com/liferay/portal/kernel/concurrent/CallerRunsPolicy.class",
          "com/liferay/portal/kernel/concurrent/TaskQueue.class",
          "com/liferay/portal/kernel/concurrent/ThreadPoolExecutor$WorkerTask.class",
          "com/liferay/portal/kernel/concurrent/ThreadPoolExecutor.class",
          "com/liferay/portal/kernel/dao/jdbc/AutoBatchPreparedStatementUtil$ConcurrentBatchInvocationHandler.class",
          "com/liferay/portal/kernel/dao/jdbc/AutoBatchPreparedStatementUtil$ConcurrentNoBatchInvocationHandler.class",
          "com/liferay/portal/kernel/dao/orm/ClassLoaderSession.class",
          "com/liferay/portal/kernel/dao/orm/DefaultActionableDynamicQuery.class",
          "com/liferay/portal/kernel/dao/orm/IndexableActionableDynamicQuery.class",
          "com/liferay/portal/kernel/events/InvokerAction.class",
          "com/liferay/portal/kernel/events/InvokerSessionAction.class",
          "com/liferay/portal/kernel/events/InvokerSimpleAction.class",
          "com/liferay/portal/kernel/io/ByteArrayFileInputStream.class",
          "com/liferay/portal/kernel/io/OutputStreamWriter.class",
          "com/liferay/portal/kernel/lock/LockProtectedAction.class",
          "com/liferay/portal/kernel/messaging/InvokerMessageListener.class",
          "com/liferay/portal/kernel/messaging/ParallelDestination$1.class",
          "com/liferay/portal/kernel/messaging/SerialDestination$1.class",
          "com/liferay/portal/kernel/messaging/config/BaseMessagingConfigurator.class",
          "com/liferay/portal/kernel/model/LayoutStagingHandler.class",
          "com/liferay/portal/kernel/model/impl/BaseLayoutTypeControllerImpl.class",
          "com/liferay/portal/kernel/module/framework/service/IdentifiableOSGiServiceInvokerUtil.class",
          "com/liferay/portal/kernel/nio/intraband/messaging/MessageRoutingBag.class",
          "com/liferay/portal/kernel/nio/intraband/nonblocking/SelectorIntraband$PollingJob.class",
          "com/liferay/portal/kernel/nio/intraband/welder/fifo/FIFOUtil.class",
          "com/liferay/portal/kernel/notifications/BaseChannelImpl.class",
          "com/liferay/portal/kernel/poller/comet/CometHandlerPool.class",
          "com/liferay/portal/kernel/process/local/LocalProcessExecutor$SubprocessReactor.class",
          "com/liferay/portal/kernel/process/local/LocalProcessLauncher$ProcessOutputStream.class",
          "com/liferay/portal/kernel/process/local/LocalProcessLauncher.class",
          "com/liferay/portal/kernel/process/local/RequestProcessCallable.class",
          "com/liferay/portal/kernel/resiliency/mpi/MPIHelperUtil.class",
          "com/liferay/portal/kernel/resiliency/spi/provider/BaseSPIProvider.class",
          "com/liferay/portal/kernel/resiliency/spi/remote/RemoteSPI.class",
          "com/liferay/portal/kernel/resiliency/spi/remote/RemoteSPIProxy.class",
          "com/liferay/portal/kernel/scheduler/config/PluginSchedulingConfigurator.class",
          "com/liferay/portal/kernel/scheduler/messaging/SchedulerEventMessageListenerWrapper.class",
          "com/liferay/portal/kernel/search/BaseIndexer.class",
          "com/liferay/portal/kernel/security/pwd/PasswordEncryptorUtil.class",
          "com/liferay/portal/kernel/service/persistence/impl/BasePersistenceImpl.class",
          "com/liferay/portal/kernel/service/persistence/impl/PersistenceNestedSetsTreeManager.class",
          "com/liferay/portal/kernel/servlet/PluginContextListener.class",
          "com/liferay/portal/kernel/servlet/PortalClassLoaderFilter.class",
          "com/liferay/portal/kernel/servlet/PortalClassLoaderServlet.class",
          "com/liferay/portal/kernel/servlet/PortalDelegatorServlet.class",
          "com/liferay/portal/kernel/servlet/PortletSessionListenerManager.class",
          "com/liferay/portal/kernel/servlet/ServletResponseUtil.class",
          "com/liferay/portal/kernel/servlet/filters/invoker/InvokerFilter.class",
          "com/liferay/portal/kernel/servlet/filters/invoker/InvokerFilterChain.class",
          "com/liferay/portal/kernel/servlet/filters/invoker/InvokerFilterHelper.class",
          "com/liferay/portal/kernel/servlet/taglib/TagDynamicIncludeUtil$1.class",
          "com/liferay/portal/kernel/upgrade/BaseUpgradeCompanyId.class",
          "com/liferay/portal/kernel/upgrade/BaseUpgradeLocalizedColumn.class",
          "com/liferay/portal/kernel/upgrade/UpgradeProcess.class",
          "com/liferay/portal/kernel/util/ClassLoaderProxy.class",
          "com/liferay/portal/kernel/util/InetAddressUtil.class",
          "com/liferay/portal/kernel/util/PortalClassInvoker.class",
          "com/liferay/portal/kernel/util/PortletClassInvoker.class",
          "com/liferay/portal/kernel/util/ServiceProxyFactory$AwaitServiceInvocationHandler.class",
          "com/liferay/portal/kernel/util/ServiceProxyFactory$AwaitServiceTrackerFieldUpdaterCustomizer.class",
          "com/liferay/portal/kernel/util/SocketUtil.class",
          "com/liferay/portal/kernel/util/StreamUtil.class",
          "com/liferay/portal/kernel/util/SubscriptionSender.class",
          "com/liferay/portal/kernel/util/TempFileEntryUtil.class",
          "com/liferay/portal/kernel/util/URLUtil.class",
          "com/liferay/portal/kernel/zip/ZipFileUtil$ZipFileInputStream.class"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.sql.dsl.spi.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.sql.dsl.spi.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.executor.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.executor.jar",
        "added": [
          "META-INF/liferay-releng.changelog"
        ],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.portal.bootstrap.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.portal.bootstrap.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/system.packages.extra.mf",
          "com/liferay/portal/bootstrap/ModuleFrameworkImpl.class"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.resolver.hook.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.resolver.hook.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.api.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.portal.app.license.api.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "MODULES_BASE_PATH/core/com.liferay.portal.equinox.log.bridge.jar",
        "new_name": "MODULES_BASE_PATH/core/com.liferay.portal.equinox.log.bridge.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.dao.db.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.dao.db.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/util-taglib.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/util-taglib.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.util.taglib/pom.properties",
          "com/liferay/taglib/aui/ScriptTag.class",
          "com/liferay/taglib/portlet/ActionURLTag.class",
          "com/liferay/taglib/portletext/RuntimeTag.class",
          "com/liferay/taglib/theme/WrapPortletTag.class",
          "com/liferay/taglib/ui/IconListTag.class",
          "com/liferay/taglib/ui/IconMenuTag.class",
          "com/liferay/taglib/ui/MessageTag.class",
          "com/liferay/taglib/ui/PanelContainerTag.class",
          "com/liferay/taglib/ui/QuickAccessEntryTag.class",
          "com/liferay/taglib/ui/SearchContainerColumnDateTag.class",
          "com/liferay/taglib/ui/SearchContainerColumnIconTag.class",
          "com/liferay/taglib/ui/SearchContainerColumnImageTag.class",
          "com/liferay/taglib/ui/SearchContainerColumnJSPTag.class",
          "com/liferay/taglib/ui/SearchContainerColumnStatusTag.class",
          "com/liferay/taglib/ui/SearchContainerColumnTextTag.class",
          "com/liferay/taglib/ui/SearchContainerColumnUserTag.class",
          "com/liferay/taglib/ui/SearchContainerResultsTag.class",
          "com/liferay/taglib/ui/TableIteratorTag.class",
          "com/liferay/taglib/ui/TabsTag.class",
          "com/liferay/taglib/ui/ToggleAreaTag.class",
          "com/liferay/taglib/util/BufferTag.class",
          "com/liferay/taglib/util/IncludeTag.class",
          "com/liferay/taglib/util/OutputTag.class",
          "com/liferay/taglib/util/ThemeUtil.class"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/util-java.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/util-java.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.util.java/pom.properties",
          "com/liferay/util/axis/AxisCleanUpFilter.class",
          "com/liferay/util/axis/AxisServlet.class",
          "com/liferay/util/axis/SimpleHTTPSender.class"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/util-slf4j.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/util-slf4j.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.util.slf4j/pom.properties",
          "com/liferay/util/slf4j/LiferayLoggerFactory.class"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.osgi.web.jasper.plugins.taglib.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.osgi.web.jasper.plugins.taglib.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "OSGI-INF/l10n/bundle_ar.properties",
          "OSGI-INF/l10n/bundle_ca.properties",
          "OSGI-INF/l10n/bundle_de.properties",
          "OSGI-INF/l10n/bundle_es.properties",
          "OSGI-INF/l10n/bundle_es_AR.properties",
          "OSGI-INF/l10n/bundle_es_CO.properties",
          "OSGI-INF/l10n/bundle_es_MX.properties",
          "OSGI-INF/l10n/bundle_fi.properties",
          "OSGI-INF/l10n/bundle_fr.properties",
          "OSGI-INF/l10n/bundle_fr_CA.properties",
          "OSGI-INF/l10n/bundle_gl.properties",
          "OSGI-INF/l10n/bundle_hu.properties",
          "OSGI-INF/l10n/bundle_ja.properties",
          "OSGI-INF/l10n/bundle_nl.properties",
          "OSGI-INF/l10n/bundle_pt_BR.properties",
          "OSGI-INF/l10n/bundle_sv.properties",
          "OSGI-INF/l10n/bundle_zh_CN.properties",
          "OSGI-INF/l10n/bundle_zh_TW.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.plugin.deployment.extension.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/com.liferay.portal.plugin.deployment.extension.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "WAR_PATH/WEB-INF/lib/util-bridges.jar",
        "new_name": "WAR_PATH/WEB-INF/lib/util-bridges.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.util.bridges/pom.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.string.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.string.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.lang.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.lang.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.reflect.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.reflect.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/support-tomcat.jar",
        "new_name": "GLOBAL_LIB_PATH/support-tomcat.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "META-INF/maven/com.liferay.portal/com.liferay.support.tomcat/pom.properties"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.memory.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.memory.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "com/liferay/petra/memory/FinalizeManager$FinalizeThread.class"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.concurrent.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.concurrent.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.process.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.process.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "com/liferay/petra/process/LoggingOutputProcessor.class",
          "com/liferay/petra/process/ProcessUtil$ProcessStdOutCallable.class",
          "com/liferay/petra/process/local/LocalProcessExecutor$SubprocessReactor.class",
          "com/liferay/petra/process/local/LocalProcessLauncher$ProcessOutputStream.class",
          "com/liferay/petra/process/local/LocalProcessLauncher.class",
          "com/liferay/petra/process/local/RequestProcessCallable.class"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.function.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.function.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.io.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.io.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF",
          "com/liferay/petra/io/ByteArrayFileInputStream.class",
          "com/liferay/petra/io/OutputStreamWriter.class",
          "com/liferay/petra/io/StreamUtil.class"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.nio.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.nio.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      },
      {
        "old_name": "GLOBAL_LIB_PATH/com.liferay.petra.sql.dsl.api.jar",
        "new_name": "GLOBAL_LIB_PATH/com.liferay.petra.sql.dsl.api.jar",
        "added": [],
        "modified": [
          "META-INF/MANIFEST.MF"
        ],
        "removed": [],
        "change_type": "modified"
      }
    ],
    "other_files": {
      "added_files": [],
      "modified_files": [
        "WAR_PATH/WEB-INF/classes/META-INF/MANIFEST.MF"
      ],
      "removed_files": []
    }
  },
  "fixed-issues": [
    "LPD-2443",
    "LPE-18160",
    "LPS-114146",
    "LPS-116218",
    "LPS-194325",
    "LPS-94011"
  ],
  "patch": {
    "built-for": "Liferay",
    "id": "hotfix-10555-7310",
    "name": "hotfix-10555",
    "product": "7310",
    "rank": "260721123904237",
    "type": "hotfix",
    "requirements": "u29"
  },
  "patching-tool": {
    "incompatible-version-message": "Please update Patching Tool to version 3.0.37 or higher in order to use this patch.",
    "version": "3037"
  },
  "file-checksums": {
    "file": "checksums.json",
    "checksum": "7d972627f746624022b577323288399ff2c450e76f1e7bc1ad752503c958d813"
  }
}